Package org.eclipse.launchbar.core.target

# Interface ILaunchTargetListener

All Known Implementing Classes:
  `LaunchBarManager`

public interface ILaunchTargetListener
A listener to changes in the list and status of launch targets.

## Method Summary

Modifier and Type
Method
Description
`default void`
`launchTargetAdded(ILaunchTarget target)`
A launch target was added.
`default void`
`launchTargetRemoved(ILaunchTarget target)`
A launch target was removed.
`default void`
`launchTargetStatusChanged(ILaunchTarget target)`
The status of a target has changed.

## Method Details

### launchTargetAdded

default void launchTargetAdded(ILaunchTarget target)
A launch target was added.

Parameters:
  `target` - the new launch target

### launchTargetRemoved

default void launchTargetRemoved(ILaunchTarget target)
A launch target was removed.

Parameters:
  `target` - the target about to be removed.

### launchTargetStatusChanged

default void launchTargetStatusChanged(ILaunchTarget target)
The status of a target has changed. Query the target to find out what the new status is.

Parameters:
  `target` - the target whose status has changed